/**
  *  \file util/file-game.cc
  *  \brief File Parser, Game Directory Search
  *
  *  (c) 2001-2017 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */

#include "util/filepars.h"
#include "io/streams.h"
#include "game/gamedirs.h"
#include "io/textfile.h"

/** Parse a game file. Parses the specified file which is searched in the
    game directory first, then in the specification file directory. This
    automatically call setFileName(). */
bool
FileParser::parseGameFile(string_t filename)
{
    Ptr<Stream> s = spec_file_dir->openFileNT(filename, Stream::C_READ);

    if (s) {
        parseFile(*s);
        return true;
    } else {
        return false;
    }
}
